% Copyright (C) 2012 Rodolphe Jenatton, Nicolas Le Roux, Antoine Bordes, Guillaume Obozinski
%               
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%               
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details. 
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.

addpath([pwd])
addpath([pwd '/mex/build/'])
addpath([pwd '/methods/'])
addpath([pwd '/demo_and_experiments/'])

path_to_data = [pwd '/datasets/']; % If necessary, modify the path to point to the data
addpath(path_to_data)

% Creation of the extended NATIONS dataset (if required)
if isempty(dir([path_to_data '/dnations_extended.mat'])),
	extend_dnations;
	movefile('dnations_extended.mat',path_to_data);	
end

% Compilation of the mex files (if required)
if isempty(dir('./mex/build/*mex*')),
	cd ./mex/
	compile;
	cd ..
end
